Bug 2001 - unAPI doesn't work without public-facing zebra server running on port 9998
Summary: unAPI doesn't work without public-facing zebra server running on port 9998
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-07 12:40 UTC by Owen Leonard
Modified: 2012-10-25 22:52 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:37:04 UTC


---- Reported by oleonard@myacpl.org 2008-04-07 12:40:15 ----

unAPI doesn't work without public-facing zebra server running on port 9998:

[15:29]	<kados>	my $url = "http://$baseurl:9998/biblios?version=1.1&operation=searchRetrieve&query=$id&startRecord=1&maximumRecords=20&recordSchema=$format";
[15:29]	<kados>	it assumes a public-facing zebra server running on port 9998
[15:31]	<kados>	with minor modifs I could get it working with both public-facing and socket servers



---- Additional Comments From gmcharlt@gmail.com 2009-05-22 00:11:51 ----

Submitted patch to fix this.



---- Additional Comments From gmcharlt@gmail.com 2009-05-22 12:34:10 ----

Patch pushed.  Please test and close.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:37 UTC  ---

This bug was previously known as _bug_ 2001 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2001

Actual time not defined. Setting to 0.0